import { OnDestroy, OnInit, EventEmitter, Renderer2, SimpleChanges, OnChanges, Injector, ComponentFactoryResolver } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import Editor from './Editor';
export declare class NgxEditorComponent implements ControlValueAccessor, OnInit, OnChanges, OnDestroy {
    private renderer;
    private injector;
    private componentFactoryResolver;
    constructor(renderer: Renderer2, injector: Injector, componentFactoryResolver: ComponentFactoryResolver);
    private ngxEditor;
    private floatingMenuView;
    editor: Editor;
    outputFormat: 'doc' | 'html';
    placeholder: string;
    enabled: boolean;
    floatingMenu: boolean;
    focusOut: EventEmitter<void>;
    focusIn: EventEmitter<void>;
    private subscriptions;
    private onChange;
    private onTouched;
    writeValue(value: Record<string, any> | string | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private handleChange;
    private setMeta;
    private enable;
    private disable;
    private setPlaceholder;
    private registerCustomElements;
    private registerPlugins;
    private createFloatingMenu;
    private destroyFloatingMenu;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
