import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
import Editor from '../../../Editor';
import { TBItems } from '../../../types';
import { SanitizeHtmlPipe } from '../../../pipes/sanitize/sanitize-html.pipe';
export declare class FloatingMenuComponent implements OnInit, OnDestroy {
    private el;
    private sanitizeHTML;
    editor: Editor;
    get display(): Partial<CSSStyleDeclaration>;
    private posLeft;
    private posBottom;
    private showMenu;
    private updateSubscription;
    private dragging;
    private resizeSubscription;
    execulableItems: TBItems[];
    activeItems: TBItems[];
    private get view();
    constructor(el: ElementRef<HTMLElement>, sanitizeHTML: SanitizeHtmlPipe);
    onMouseDown(): void;
    onKeyDown(): void;
    onMouseUp(): void;
    onKeyUp(): void;
    private useUpdate;
    get toolbar(): TBItems[][];
    get toggleCommands(): TBItems[];
    getIcon(name: TBItems): SafeHtml;
    private calculateBubblePosition;
    private update;
    onClick(e: MouseEvent, commandName: TBItems): void;
    private findActiveAndDisabledItems;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
